> For the complete documentation index, see [llms.txt](https://docs.apica.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apica.io/flow/opentelemetry-ingest/opentelemetry-logs-traces.md).

# OpenTelemetry Logs / Traces

Open telemetry logs and traces are supported in the telemetry pipeline. You can use the standard otel logs and traces endpoints in ascent to ingest data. More details on the OpenTelemetry collector configuration to send logs in OTLP format can be found in integration [here](/integrations/list-of-integrations/opentelemetry.md).

For logs and traces, data flow groupings can be managed in the following ways

1. Provide namespace and application as url parameters when setting the endpoint url&#x20;
2. Provide namespace and application as resource attributes

If none of the above is set, the apica ingest will assign `default_namespace` and `service_name` from the otel payload for the `application`

### Example: Inserting Namespace and App Name through Resource Attributes

```
processors:
  resource/info:
    attributes:
      - key: namespace
        value: mymetrics
        action: insert
      - key: app_name
        value: myapp
        action: insert
```

This processor configuration ensures that:

* If `namespace` and `app_name` attributes are not present in incoming events, they will be inserted with values `mymetrics` and `myapp`, respectively.
* If the attributes are already present, they will remain unchanged.
* If no such processor is configured, the metrics/logs/traces will fall back to `default_namespace` and `default_app` in Ascent.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apica.io/flow/opentelemetry-ingest/opentelemetry-logs-traces.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
